using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.EventSystems;

public class PDAMapSlot : MonoBehaviour, IPointerDownHandler
{
    private int slot_id;
    public bool isFlagged;

    public PDAMapSlot()
    {
        this.slot_id = -1;
        this.isFlagged = false;
    }

    public void Initialize(int _id)
    {
        this.slot_id = _id;
    }

    public void OnPointerDown(PointerEventData pointerEventData)
    {
        //Output the name of the GameObject that is being clicked
        //Debug.Log(name + "Game Object Click in Progress");
        PDAMapManager.Instance.SelectSlot(slot_id);
    }

    public void Flag()
    {
        this.isFlagged = !this.isFlagged;
    }
}
